@import "../../../theme/mixins";

@mixin border-subtitle {
  border: 1px #ffffff;
  border-radius: 5px;
  background-color: rgba(172, 166, 183, 0.3);
}

.main-page {
  background-image: url("../../../assets/images/landing-page-2.png");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  height: 80vh;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.content {
  @include esspass-12-grid-random-width-gap-template(6.5rem, 1.5rem);
  z-index: 1;
  color: #ffffff;

  .title {
    grid-column: 4/10;
    font-family: Arial Helvetica, sans-serif;
    font-weight: 500;
    font-size: 4.8rem;
    line-height: 5.2rem;
    margin: 1rem auto;
  }

  .subtitle-1 {
    grid-column: 4/10;
    font-size: 2.1rem;
    line-height: 2.4rem;
    padding: 1rem;
    text-align: center;
    @include border-subtitle;
  }

  .subtitle-2 {
    grid-column: 5/9;
    font-size: 1.5rem;
    padding: 1rem;
    text-align: center;
    @include border-subtitle;
  }

  .subtitle-3 {
    margin-top: 2rem;
    grid-column: 3/11;
    font-size: 1.8rem;
    text-align: justify;
    line-height: 2.4rem;
  }

  .subtitle-4 {
    margin-top: 1.6rem;
    grid-column: 3/11;
    font-size: 1.8rem;
    text-align: justify;
    line-height: 2.4rem;
  }

  issuer-login-button {
    grid-column: 5/9;
    margin-top: 2rem;
  }
}

@media screen and (max-width: 500px) {
  .content {
    @include esspass-5-grid-random-width-gap-template(7rem, 0.5rem);
    text-align: center;

    .title,
    .subtitle-1,
    .subtitle-2,
    issuer-login-button {
      grid-column: 2/5;
    }

    .subtitle-3 {
      grid-column: 1/6;
      margin: 2rem 1rem;
      text-align: justify;
    }

    .subtitle-4 {
      grid-column: 1/6;
      margin: 2rem 1rem;
    }
  }
}
